PROGRAM Somma
!--------------------------------------------------------------------------
! Calcola la somma dei primi n interi
!--------------------------------------------------------------------------
  IMPLICIT NONE
  INTEGER :: cont, n, s

  WRITE(*,*) "Dammi un numero intero: "
  READ(*,*) n
  s = 0                   ! Inizializza la somma a 0

!     Ciclo a conteggio
  DO cont = 1,n
!     cont: variabile di controllo
!     Parte da 1, è incrementata di 1 (default) ad ogni passo
!     fino ad "n"
!     Il passo si può specificare come:  i=0,100,2
!     può essere negativo:               i=100,0,-2
!     NOTA: limiti e passo sono valutati all'inizio e non sono modificabili
    s = s + cont          ! Accumula gli interi in "s"
  END DO

  WRITE(*,*) "La somma dei primi", n, " interi e'", s
  STOP
END PROGRAM Somma


